<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="ISModuleName">ISModuleName</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;TEST>&lt;POC>&lt;OK>OK: Truth
&lt;/OK>&lt;OK>OK: Common sense
&lt;/OK>&lt;/POC>&lt;timezoneCET>&lt;Error>PT3H != PT1H
&lt;/Error>&lt;OK>OK
&lt;/OK>&lt;OK>OK
&lt;/OK>&lt;OK>OK
&lt;/OK>&lt;/timezoneCET>&lt;firstOfYear>&lt;OK>OK: first of year
&lt;/OK>&lt;OK>OK: first of year
&lt;/OK>&lt;OK>OK: first of year
&lt;/OK>&lt;/firstOfYear>&lt;firstOfMonth>&lt;OK>OK: first of month
&lt;/OK>&lt;OK>OK: first of month
&lt;/OK>&lt;OK>OK: first of month
&lt;/OK>&lt;/firstOfMonth>&lt;Offset>&lt;Day/>&lt;Year>&lt;OK>OK: Year
&lt;/OK>&lt;/Year>&lt;/Offset>&lt;Count/>&lt;/TEST></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">58</Property>
		<Property name="ISCurrentTime" type="Long">1752746676814</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_test_XSLT_database</Property>
		<Property name="ISModuleName">VAM_am_demultiplexer</Property>
		<Property name="ISModuleId">238</Property>
		<Property name="ISProcessId">660107</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">660107</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api>&lt;staging>PROD&lt;/staging>&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;asLoginEnabled>false&lt;/asLoginEnabled>&lt;technicalUser>&lt;loginName>bpcadmin&lt;/loginName>&lt;/technicalUser>&lt;backend>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:38181&lt;/key>&lt;url>http://localhost:38181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>bpc.virtimo.net&lt;/key>&lt;url>http://localhost:38181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev07.virtimo.net:8181&lt;/key>&lt;url>http://dev07.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev07.virtimo.net&lt;/key>&lt;url>http://dev07.virtimo.net/casa-dev-internal/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>mpm-dev.virtimo.net:8181&lt;/key>&lt;url>http://mpm-dev.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev03.virtimo.net:8181&lt;/key>&lt;url>http://dev03.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev03.virtimo.net:8181, localhost&lt;/key>&lt;url>http://dev03.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev01.virtimo.net:8181&lt;/key>&lt;url>https://dev01.virtimo.net:8282/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev01.virtimo.net:8181, localhost&lt;/key>&lt;url>https://dev01.virtimo.net:8282/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am>&lt;validate>false&lt;/validate>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>OP&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;role>VAM_organization_RD-4040404040401&lt;/role>&lt;role>WEBTSM_USER&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>bpcuser&lt;/role>&lt;role>collaboration-administrator&lt;/role>&lt;role>documents-administrator&lt;/role>&lt;role>flextable-administrator&lt;/role>&lt;role>mcs_user&lt;/role>&lt;/roles>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name>cktest&lt;/name>&lt;configuration>&lt;am>
    &lt;dynamicOverviews>true&lt;/dynamicOverviews>
    &lt;overviews>
      &lt;overview>
        &lt;dynamic>true&lt;/dynamic>
        &lt;singleTemplateMode>
          &lt;templateCustomId>LAND&lt;/templateCustomId>
        &lt;/singleTemplateMode>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
      &lt;/overview>
      &lt;overview>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;singleTemplateMode>
          &lt;templateCustomId>STADT&lt;/templateCustomId>
        &lt;/singleTemplateMode>
        &lt;dynamic>true&lt;/dynamic>
      &lt;/overview>
      &lt;overview>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;type>grid&lt;/type>
      &lt;/overview>
      &lt;overview>
        &lt;singleTemplateMode>
          &lt;templateCustomId>PLANET&lt;/templateCustomId>
        &lt;/singleTemplateMode>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;dynamic>true&lt;/dynamic>
      &lt;/overview>
      &lt;overview>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;type>grid&lt;/type>
        &lt;singleTemplateMode>
          &lt;templateCustomId>GEMEINDE&lt;/templateCustomId>
        &lt;/singleTemplateMode>
      &lt;/overview>
      &lt;overview>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;type>tree&lt;/type>
        &lt;rootTemplate>
          &lt;templateCustomId>PLANET&lt;/templateCustomId>
        &lt;/rootTemplate>
      &lt;/overview>
    &lt;/overviews>
  &lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;permissions>&lt;permission>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;/permissions>&lt;/user>&lt;startTimestamp>1750348221558&lt;/startTimestamp>&lt;/session></Property>
		<Property name="demux.totalIterations" type="Integer">1</Property>
		<Property name="demux.iterator" type="Integer">1</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:assert="assert:assert" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>&lt;xsl:import href="inubitmodule://CST_Assert_XSLT_Funktionen-1"/>&lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="ISModuleName"/>&lt;xsl:variable name="var.databaseType" select="$var.session/configuration/api/database/type"/>&lt;xsl:template match="/">&lt;xsl:element name="{ $ISModuleName }">&lt;emptyResultQuery>&lt;xsl:sequence select="assert:equals(am:emptyResultQuery(), if ($var.databaseType = ('mssql', 'postgresql')) then 'select 1 where 0 = 1' else 'select 1 from dual where 0 = 1')"/>&lt;/emptyResultQuery>&lt;/xsl:element>
  &lt;/xsl:template>&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>